%bcond_with aacp

Name:     darkice
Version:  1.0
Release:  1%{?dist}
Summary:  A live audio streamer
License:  GPLv3
Group:    Applications/Multimedia
URL:      http://code.google.com/p/darkice/
Source0:  http://darkice.googlecode.com/files/%{version}/%{name}-%{version}.tar.gz
Source1:  README.usage
Source2:  darkice.init
Source3:  darkice.cfg
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gcc-c++
BuildRequires: alsa-lib-devel 
BuildRequires: faac-devel 
BuildRequires: jack-audio-connection-kit-devel 
BuildRequires: lame-devel 
%{?with_aacp:BuildRequires: libaacplus-devel}
BuildRequires: libvorbis-devel 
BuildRequires: libogg-devel 
BuildRequires: libsamplerate-devel
BuildRequires: twolame-devel
BuildRequires: zlib-devel
Requires(post): /sbin/chkconfig
Requires(post): /sbin/service
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service

%description
DarkIce is a live audio streamer. It takes audio 
input from an audio interface (e.g. sound card), 
encodes it, and sends it to a streaming server. 

DarkIce can encode in the following formats:

    * mp3 - using the lame library
    * mp2 - using the twolame library
    * Ogg Vorbis
    * AAC - using the faac library
    * AAC HEv2 - using libaacplus library 

DarkIce supports the following streaming servers:

    * ShoutCast
    * IceCast 1.3.x and 2.x
    * Darwin Streaming Server
    * archive the encoded audio in files 

%prep
%setup -q

%build
%configure

%{__make} -k %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall
#install -D -m 755 %{_builddir}/%{name}-%{version}/rc.darkice %{buildroot}%{_initrddir}/%{name}
install -D -m 755 %{SOURCE2} %{buildroot}%{_initrddir}/%{name}
install    -m 644 %{SOURCE1} %{_builddir}/%{name}-%{version}
install    -m 644 %{SOURCE3} %{buildroot}/%{_sysconfdir}/darkice.cfg

%clean
rm -rf %{buildroot}
make clean

%post
# installing rpm - add service
if [ $1 -eq 1 ]; then
   /sbin/chkconfig --add %{name}
fi
/sbin/service %{name} condrestart &>/dev/null || :

%preun
# removing rpm - stop and remove service
if [ $1 -eq 0 ]; then
   /sbin/service %{name} stop >/dev/null 2>&1
   /sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" -ge "1" ]; then
        /sbin/service %{name} condrestart &>/dev/null || :
fi

%files
%defattr (-, root, root)
%doc COPYING ChangeLog darkice.cfg FAQ NEWS README TODO AUTHORS README.usage
%config(noreplace) %{_sysconfdir}/%{name}.cfg
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}.cfg.5*
%{_initrddir}/%{name}

%changelog
* Thu Jun 08 2010 Paulo Roma <roma@lcg.ufrj.br> 1.0-1
- Updated to 1.0

* Thu Apr 15 2010 Paulo Roma <roma@lcg.ufrj.br> 0.20.1-7
- Updated to 0.20.1
- Updated URL and license.
- Changed description.
- Removed deprecated gcc and configure patches.
- Added BR libsamplerate-devel and libaacplus-devel.

* Sat Jun 13 2009 Paulo Roma <roma@lcg.ufrj.br> 0.19-6
- Added darkice service.

* Fri Jun 12 2009 Paulo Roma <roma@lcg.ufrj.br> 0.19-5
- Applied gcc-4.4 patch.
- No more any configure option.

* Sun Mar 08 2009 Paulo Roma <roma@lcg.ufrj.br> 0.19-4
- Update to 0.19.1
- Make setup quiet.
- Patched for gcc-4.3

* Sun May 20 2007 Paulo Roma <roma@lcg.ufrj.br> 0.18.1-3
- Update to 0.18.1
- Removed both no longer needed patches.

* Fri Apr 06 2007 Paulo Roma <roma@lcg.ufrj.br> 0.17.1-3
- Specifying where to get packages for x86_64.
- Created patch for type casting pointers to long, 
  instead of int (x86_64). 

* Tue Jan 16 2007 Paulo Roma <roma@lcg.ufrj.br> 0.17.1-2
- Created patch for detecting libs using .so instead of .a

* Wed Jan 10 2007 Paulo Roma <roma@lcg.ufrj.br> 0.17.1-1
- Update to 0.17.1
- Rebuilt for Fedora 6.

* Mon Aug 22 2005 Peter Hanecak <hanecak@megaloman.sk> 0.15-2
- fixes for x86-64 build

* Mon Aug 22 2005 Peter Hanecak <hanecak@megaloman.sk> 0.15-1
- updated to 0.15
- s/Copyright/License/
- 'noreplace' used for configuration file
- %%{?_smp_mflags} used with 'make'

* Mon Oct 11 2004 Peter Hanecak <hanecak@megaloman.sk> 0.14-1
- .bz2 source archiv
- RPM_OPT_FLAGS used
